Results 1 to 5 of 5

Thread: Problem with the catalyst driver

  1. #1
    Join Date
    Jul 2013
    Posts
    2

    Default Problem with the catalyst driver

    Hi guys,

    I try run the steam client in my fedora 19 x86_64 but after I run the system logout. That's also occurs when i try run the game urbanterror. The graphics driver is the catalyst (this problem doesn't occur with radeon driver) and my gpu is Radeon HD 6570. Below is the error in terminal. Seems that there are an problem when running this applications 32 bits in a 64 bits system.

    [marcos@ ~]$ export LIBGL_DEBUG=verbose
    [marcos@ ~]$ steam
    Couldn't find dpkg, please update steamdeps for your distribution.
    Running Steam on fedora 18 64-bit
    STEAM_RUNTIME is enabled automatically
    Installing breakpad exception handler for appid(steam)/version(1370457613_client)
    libGL: screen 0 does not appear to be DRI2 capable
    libGL: OpenDriver: trying /usr/lib/dri/tls/swrast_dri.so
    libGL: OpenDriver: trying /usr/lib/dri/swrast_dri.so
    libGL: Can't open configuration file /home/marcos/.drirc: Arquivo ou diretório não encontrado.
    libGL error: failed to load driver: swrast
    Can anyone help me?

  2. #2
    Join Date
    May 2013
    Location
    Cranbrook, UK
    Posts
    13

    Default

    I had a similar problem on Fedora 18 a while back. It turned out to be that the AMD installer (I downloaded it straight from their website) had not properly created the 32-bit libGL.so symlink on my system, so the Steam binary was trying to use Mesa instead. I would check where this is pointing, as in my case just recreating the symlink to the 32-bit AMD libGL binary was enough.

  3. #3
    Join Date
    Jul 2013
    Posts
    7

    Default

    export LD_LIBRARY_PATH=/usr/lib32
    or
    $ cd ~/.steam/bin
    $ ln -s /usr/lib/i386-linux-gnu/mesa/libGL.so.1 .

  4. #4
    Join Date
    Jul 2013
    Posts
    2

    Default

    The problem is solved now. I uninstall the driver of rpmfusion repositories and installed the driver of amd website (both beta 13.6) and run the following command.

    # aticonfig --initiall

    Now I can run this aplications 32-bits perfectly.

    (I tried make the link as chessmaster said but it didn' work)

    Thank you for the help!

  5. #5
    Join Date
    Sep 2012
    Posts
    30

    Default

    As an additional note (for those who run into a similar problem and don't want to reinstall catalyst):
    Sometimes, after an mesa-* or xorg-* update, the linkage to the right gl libs are broken (or default to mesa).
    To fix this run:

    Code:
    $ su
    # /usr/lib64/fglrx/switchlibGL amd
    # /usr/lib64/fglrx/switchlibglx amd
    # exit

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •